Subject: Re: [net-next v4 1/6] net: marvell: prestera: Add driver for Prestera family ASIC devices

From: Vadym Kochan <[email-masked]>
Date: Fri, 14 Aug 2020 11:20:54 +0300

Hi Jonathan,

On Thu, Aug 13, 2020 at 09:03:22AM +0100, Jonathan McDowell wrote:
> On Mon, Jul 27, 2020 at 03:22:37PM +0300, Vadym Kochan wrote:
> > Marvell Prestera 98DX326x integrates up to 24 ports of 1GbE with 8
> > ports of 10GbE uplinks or 2 ports of 40Gbps stacking for a largely
> > wireless SMB deployment.
> > 
> > The current implementation supports only boards designed for the Marvell
> > Switchdev solution and requires special firmware.
> > 
> > The core Prestera switching logic is implemented in prestera_main.c,
> > there is an intermediate hw layer between core logic and firmware. It is
> > implemented in prestera_hw.c, the purpose of it is to encapsulate hw
> > related logic, in future there is a plan to support more devices with
> > different HW related configurations.
> 
> The Prestera range covers a lot of different silicon. 98DX326x appears
> to be AlleyCat3; does this driver definitely support all previous
> revisions too? I've started looking at some 98DX4122 (BobCat+) hardware
> and while some of the register mappings seem to match up it looks like
> the DSA tagging has some extra information at least.
> 
> Worth making it clear exactly what this driver is expected to support,
> and possibly fix up the naming/device tree compatibles as a result.
> 
> J.
> 

Regarding "naming/device tree compatibles", do you mean to add
compatible matching for particular ASIC and also for common ? 

Currently 

    compatible = "marvell,prestera"

is used as default, so may be

you mean to support few matching including particular silicon too, like ?

    compatible = "marvell,prestera"
    compatible = "marvell,prestera-ac3x"

Would you please give an example ?

Thank you,
Vadym Kochan